LSMEM(1)

BEZEICHNUNG
lsmem - Bereiche verfügbaren Speichers mit deren Online-Status auflisten

ÜBERSICHT

lsmem [Optionen]

BESCHREIBUNG

Der Befehl lsmem listet die Bereiche des verfügbaren Speichers zusammen mit dessen Online-Status auf. Die aufgelisteten Speicherblöcke entsprechen der Darstellung der Speicherblöcke in Sysfs. Der Befehl zeigt außerdem die Größe eines einzelnen Speicherblocks sowie die Gesamtmenge des Speichers im Online- beziehungsweise Offline-Status an.

Die standardmäßige Ausgabe ist kompatibel zur ursprünglichen Implementierung für s390-tools, aber es wird dringend empfohlen, standardmäßige Ausgaben in Ihren Skripten zu vermeiden. Definieren Sie in Umgebungen, in denen eine stabile Ausgabe erwartet wird, die erwarteten Spalten stets explizit mit der Option --output zusammen mit einer Liste der Spalten.

Der Befehl lsmem listet stets einen neuen Speicherbereich auf, und zwar immer dann, wenn sich der aktuelle Speicherblock von dem vorigen in der gleichen Ausgabespalte unterscheidet. Dieses Standardverhalten lässt sich bei Bedarf durch die Option --split (zum Beispiel lsmem --split=ZONEN) außer Kraft setzen. Das spezielle Schlüsselwort none können Sie dazu verwenden, alle Unterschiede zwischen Speicherblöcken zu ignorieren und somit größtmögliche zusammenhängende Bereiche zu erzeugen. Die gegenteilige Wirkung erzielt --all, wodurch individuelle Speicherblöcke aufgelistet werden.

Beachten Sie, dass einige Ausgabespalten ungenaue Informationen anzeigen könnten, wenn eine Teilungsregel lsmem zwingt, die Unterschiede in einigen Attributen zu ignorieren. Wenn Sie beispielsweise löschbare und nicht löschbare Speicherblöcke in einem Bereich zusammenfassen, dann wird in der Ausgabe von lsmem der gesamte Bereich als nicht löschbar markiert.

Die Zonen BEREICH, GRÖSSE, STATUS, ENTFERNBAR, BLOCK, KNOTEN, ZONEN, KONFIGURIERT und ZUWEISUNG-IM-SPEICHER werden unterstützt.

    BEREICH
        Beginn und Ende der physischen Adressen des Speicherbereichs.

    GRÖSSE
        Die Größe des Speicherbereichs, die die Gesamtmenge des Speichers in diesem Bereich darstellt.

    STATUS
        Der aktuelle Online-Status des Speicherbereichs. Übliche Status sind »online«, »offline« und »transitional«.

    ENTFERNBAR
        Gibt an, ob der Speicher ein Wechseldatenträger ist.

    BLOCK
        Die spezifische Speicherblocknummer oder der spezifische Bereich.

    KNOTEN
        Der NUMA-(Non-Uniform Memory Access)Knoten, zu dem der Speicherblock gehörts.

    ZONEN
        Die Speicherzonen, zu denen der Block gehört, wie DMA, Normal, Movable.

    KONFIGURIERT
        Der Konfigurationsstatus des Speicherblocks. In der Handbuchseite chmem(8) finden Sie Details zur Konfiguration oder Dekonfiguration von Speicherblöcken.

    ZUWEISUNG-IM-SPEICHER
        Der ZUWEISUNG-IM-SPEICHER-Status des Speicherblocks zum Konfigurationszeitpunkt. Diese Einstellung gibt an, wo der Speicher-Hotplug seine internen Metadaten (das Seitenarray oder MEMMAP) speichert. Ist ZUWEISUNG-IM-SPEICHER auf 1 gesetzt, werden die Metadaten direkt aus dem neu hinzugefügten Hotplug-Speicher zugewiesen, wodurch Hotplug-Aktionen auch bei hoher Speicherauslastung möglich sind. Bei einem Wert von 0 werden die MEMMAP-Metadaten aus dem vorhandenen Systemspeicher zugewiesen.

Nicht alle Spalten werden auf allen Systemen unterstützt. Wenn eine nicht unterstützte Spalte angegeben wird, zeigt lsmem die Spalte zwar an, aber stellt dafür keinerlei Daten bereit. Darüber hinaus kann lsmem Spalten wie KONFIGURIERT oder ZUWEISUNG-IM-SPEICHER überspringen, wenn diese Zustände für die Systemarchitektur nicht relevant sind.

Auf Systemen, die Konfiguration bzw. Dekonfiguration von Speicher unterstützen, muss der Speicher konfiguriert werden, bevor er online gesetzt werden kann.

Die Zusammenfassungszeile »Memmap on memory parameter« zeigt die globale Einstellung für memmap-on-memory für memory_hotplug an. Diese wird üblicherweise über die Kernel-Befehlszeile mit memory_hotplug.memmap_on_memory festgelegt.

OPTIONEN

-a, --all
    listet jeden individuellen Speicherblock auf, anstatt Speicherblöcke anhand ähnlicher Attribute zu kombinieren.

-b, --bytes
    gibt die Größe in Byte anstelle eines menschenlesbaren Formats aus.

    Standardmäßig werden Größen in Einheiten angezeigt, die Potenzen von 1024 Bytes sind. Die formalen Abkürzungen für diese Einheiten (KiB, MiB, GiB usw.) werden weiter auf den Anfangsbuchstaben verkürzt: K, M, G usw.

-J, --json
    verwendet das JSON-Ausgabeformat.

-n, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

-o, --output Liste
    gibt an, welche Spalten ausgegeben werden sollen. Mit --help erhalten Sie eine Liste aller unterstützten Spalten. Die Standardliste der Spalten kann erweitert werden, wenn die Liste im Format +Liste (zum Beispiel lsmem -o +NODE) vorliegt.

--output-all
    gibt alle verfügbaren Spalten aus.

-P, --pairs
    gibt die Daten in Form von Schlüssel="Wert"-Paaren aus. Alle potenziell unsicheren Zeichen werden hexadezimal maskiert (\x<code>).

-r, --raw
    erstellt die Ausgabe im rohen Format. Alle potenziell unsicheren Zeichen werden hexadezimal maskiert (\x<Code>).

-S, --split Liste
    gibt an, welche Spalten zur Aufteilung von Speicherblöcken in Bereiche verwendet werden. Die unterstützten Spalten sind STATUS, ENTFERNBAR, KNOTEN, ZONEN, KONFIGURIERT, ZUWEISUNG-IM-SPEICHER und none. Andere Spaltennamen werden ignoriert. Weitere Details finden Sie oben im Abschnitt BESCHREIBUNG.

-s, --sysroot Verzeichnis
    sammelt Speicherdaten für eine andere Linux-Instanz als jener, von der aus der Befehl lsmem aufgerufen wurde. Das angegebene <Verzeichnis ist die Systemwurzel der zu untersuchenden Linux-Instanz.

--summary[=wann]
    steuert die Ausgabe der Zeilen der Zusammenfassung. Das optionale Argument wann kann never, always oder only sein. Wenn das Argument wann weggelassen wird, wird die Vorgabe only verwendet. Die Ausgabe der Zusammenfassung wird für --raw, --pairs und --json unterdrückt.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

UMGEBUNGSVARIABLEN

LSMEM_COLUMNS
    gibt eine durch Kommas getrennte Liste der auszugebenden Spalten an. Alle mit --help aufgeführten Spalten können verwendet werden.

LIBSMARTCOLS_DEBUG=all
    aktiviert die Debug-Ausgabe für libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    verwendet sichtbare Auffüllzeichen.

AUTOREN

lsmem wurde ursprünglich von Gerald Schaefer für S390-tools in Perl geschrieben. Die C-Version für Util-linux wurde von Clemens von Mann, Heiko Carstens und Karel Zak geschrieben.

SIEHE AUCH

chmem(8)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl lsmem ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.